ZIP_ENCRYPTION_METHOD_SUPPORTED(3)

NAME
zip_encryption_method_supported - return if an encryption method is supported

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
int
zip_encryption_method_supported(zip_int16_t method, int encrypt);

DESCRIPTION
The zip_encryption_method_supported() returns if the encryption method method is supported for encryption (if encrypt is zero) or decryption (otherwise).

RETURN VALUES
Returns 1 if the method is supported, 0 otherwise.

SEE ALSO
libzip(3), zip_compression_method_supported(3), zip_file_set_encryption(3)

HISTORY
zip_encryption_method_supported() was added in libzip 1.7.0.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>